Debian Bug report logs - #210198
RM: axkit -- RoQA; long time orphaned, seems pretty much dead too

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ardo van Rangelrooij <ardo@debian.org>

Date: Wed, 10 Sep 2003 01:03:05 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: axkit -- An XML Application Server for Apache
Date: Tue, 09 Sep 2003 19:58:07 -0500
Package: wnpp
Version: unavailable; reported 2003-09-09
Severity: normal

I request an adopter for the axkit package.
The package description is:
 AxKit is an XML Application Server for Apache.  It provides
 on-the-fly conversion from XML to any format, such as HTML, WAP or
 text using either W3C standard techniques, or flexible custom code.
 AxKit also uses a built-in Perl interpreter to provide some amazingly
 powerful techniques for XML transformation.
 .
 The emphasis with AxKit is on separation of content from
 presentation.  The pipelining technique that AxKit uses allows
 content to be converted to a presentable format in stages, allowing
 certain platforms to see data differently to others.  AxKit allows
 web designers to focus on web site design, content developers to work
 on a purely content basis, and webmasters to focus on their core
 competencies.
 .
 AxKit is based on plugin components.  This allows the web site
 developer to create a completely custom XML Application Server based
 around the AxKit API.  AxKit can either automatically provide caching
 facilities, or you can create your own cache handler, so that XML
 transformations (which can be time consuming) only happen when
 required.
 .
 The toolkit also provides ability to build component based web sites,
 and dynamic content.  Database integration is fully supported,
 allowing either deliver of XML from a database, or XML generation
 from a database query.  Dynamic web components can be built using the
 Perl language, making the possibilities as infinite as CGI scripts,
 without the potential mess that CGI programming can cause.
-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux gondor 2.4.21 #1 SMP Thu Aug 28 18:54:04 CDT 2003 i686
Locale: LANG=C, LC_CTYPE=C




Changed Bug title. Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "SANE.net Developer" <sane@sane.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Michael K. Edwards" <mkedebian@sane.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 210198@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 210198@bugs.debian.org, 210201@bugs.debian.org
Cc: "Michael K. Edwards" <mkedebian@sane.net>, medwards-debian@sane.net
Subject: removal judgement for axkit and axkit-xsp-webutils
Date: Tue, 22 Feb 2005 00:05:10 +0100
[Message part 1 (text/plain, inline)]
Usage statistic:
popcon vote: 0-7, last bug real[1] report: 334 days ago

NMUs:
none

Bugs:
Total: 1 Real[1]: 1

Upstream:
latest release 10/2003, this is in Debian
user mailing list low traffic, devel list almost dead

Dependency:
none

Time since O:
1 1/2 years, ITAed by Michael K. Edwards, ITAer pinged in 05/2004, no
reaction, RFS in 11/2003 but aparently no upload, Michael has other
packages in the archive

Distributions:
stable (1.5-1) only axkit, testing and unstable (1.6.2-3, 1.6-2) both
packages

Usefullness:
Hard to judge...

Conclusion:
remove if ITAer does not respond in 2 weeks time because Upstream is
dead and few persons are using the package

[1] Bugs filed by people actually careing about the package. No mass
bugs, ...
-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 210198@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-qa@lists.debian.org
Cc: 210198@bugs.debian.org
Subject: htmldoc to be removed from testing; will remove orphaned axkit, axkit-xsp-webutils
Date: Sat, 26 Mar 2005 01:43:23 -0800
[Message part 1 (text/plain, inline)]
Hi folks,

Bug #300460 has been open on the package htmldoc for 7 days, so I'm planning
to remove htmldoc from testing.  The only reverse-dependencies this package
has are axkit and (as a result) axkit-xsp-webutils, both of which are
orphaned.  If anyone has a vested interest in seeing these packages included
in sarge, it would be a good idea to either look at bug #300460 or lose the
dependency on said buggy doc tool.

Gaudenz has also asked for axkit's removal from unstable, so that may be the
best option of all.

Cheers,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #28 received at 210198@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve Langasek <vorlon@debian.org>, 210198@bugs.debian.org
Cc: debian-qa@lists.debian.org, Roland Rosenfeld <roland@debian.org>, "Aaron M. Ucko" <ucko@debian.org>, munin-deb-maint@linpro.no, licquia@debian.org, Rene Mayrhofer <rmayr@debian.org>
Subject: Re: Bug#210198: htmldoc to be removed from testing; will remove orphaned axkit, axkit-xsp-webutils
Date: Sat, 26 Mar 2005 10:41:52 +0000
* Steve Langasek <vorlon@debian.org> [2005-03-26 01:43]:
> Bug #300460 has been open on the package htmldoc for 7 days, so I'm
> planning to remove htmldoc from testing.  The only
> reverse-dependencies this package has are axkit and (as a result)
> axkit-xsp-webutils, both of which are

There are also a number of packages which build-depend on htmldoc, so
I don't think removing it is the best option (fyi: fltk1.1, munin,
freeswan, openswan, privoxy).  Maybe one of the people who need
htmldoc (or some QA person) can take a look at #300460.

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #33 received at 210198@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 210198@bugs.debian.org, debian-qa@lists.debian.org, Roland Rosenfeld <roland@debian.org>, "Aaron M. Ucko" <ucko@debian.org>, munin-deb-maint@linpro.no, licquia@debian.org, Rene Mayrhofer <rmayr@debian.org>
Subject: Re: Bug#210198: htmldoc to be removed from testing; will remove orphaned axkit, axkit-xsp-webutils
Date: Sat, 26 Mar 2005 02:46:07 -0800
[Message part 1 (text/plain, inline)]
On Sat, Mar 26, 2005 at 10:41:52AM +0000, Martin Michlmayr wrote:
> * Steve Langasek <vorlon@debian.org> [2005-03-26 01:43]:
> > Bug #300460 has been open on the package htmldoc for 7 days, so I'm
> > planning to remove htmldoc from testing.  The only
> > reverse-dependencies this package has are axkit and (as a result)
> > axkit-xsp-webutils, both of which are

> There are also a number of packages which build-depend on htmldoc, so
> I don't think removing it is the best option (fyi: fltk1.1, munin,
> freeswan, openswan, privoxy).  Maybe one of the people who need
> htmldoc (or some QA person) can take a look at #300460.

Hmm, whoops, apparently I was a little sloppy with the melanie check and
didn't notice the build-depends.  Right, not removing it yet then; hopefully
one of the maintainers using it will be able to fix it up.

Cheers,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#210198; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #38 received at 210198@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 210198@bugs.debian.org, debian-qa@lists.debian.org, Roland Rosenfeld <roland@debian.org>, "Aaron M. Ucko" <ucko@debian.org>, munin-deb-maint@linpro.no, licquia@debian.org, Rene Mayrhofer <rmayr@debian.org>
Subject: Re: Bug#210198: htmldoc to be removed from testing; will remove orphaned axkit, axkit-xsp-webutils
Date: Thu, 7 Apr 2005 13:07:07 +0100
* Steve Langasek <vorlon@debian.org> [2005-03-26 02:46]:
> > > Bug #300460 has been open on the package htmldoc for 7 days, so I'm
> Hmm, whoops, apparently I was a little sloppy with the melanie check and
> didn't notice the build-depends.  Right, not removing it yet then; hopefully
> one of the maintainers using it will be able to fix it up.

Seems like Lars Wirzenius fixed it.
-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ardo van Rangelrooij <ardo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 210198-done@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 210198-done@bugs.debian.org
Cc: axkit@packages.debian.org, axkit@packages.qa.debian.org
Subject: Removed axkit from unstable
Date: Mon, 13 Jun 2005 17:01:03 -0400
We believe that the request you reported is now fixed; the following
package(s) have been removed from unstable:

     axkit |    1.6.2-3 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
axkit-examples |    1.6.2-3 | all
axkit-language-htmldoc |    1.6.2-3 | all
axkit-language-query |    1.6.2-3 | all

Reason: RoQA; long time orphaned, seems pretty much dead too

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to the just-closed bug (or by
replying to this mail if there is no bug closed).

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:27:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.